#!/usr/bin/env bash
hadoop_add_profile hadoop-hsmkms
function _hadoop-hsmkms_hadoop_classpath
{
echo "Begin adding HSM KMS jars to hadoop classpath."
for file in ${KEYTRUSTEE_KP_HOME}/lib/*.jar; do
  echo "Adding to hadoop classpath: $file"
  hadoop_add_classpath $file before
done
if [ -n "${HSM_CLIENT_JAR}" ] ; then
  echo "Adding to hadoop classpath: ${HSM_CLIENT_JAR}"
  hadoop_add_classpath ${HSM_CLIENT_JAR} before
fi
echo "Finished adding HSM KMS jars to hadoop classpath."
}